// File: KifException.java


/*  Set tabstop = 4 to read this file.
*
*   Maintanence History:
*/


package jkp;

import jbf.*;
import java.lang.*;


/**
 * The base class for all KIF exception classes.
 * @author  <A href="http://www.cs.umbc.edu/~xluan1/">Xiaocheng LUAN</A>
 */

public class KifException extends Exception {

	private String _msgString;

	public KifException() {
		_msgString = new String("KifException !");
	}

	public KifException(String msg) {
		super(msg);
		_msgString = msg;
	}

	/**
	 * @return return the associated message if any.
	 */
	public String 
	getMessage()
	{
		return _msgString;

	}
}


